Package org.eclipse.ecf.remoteservice

# Interface IExtendedRemoteServiceRegistration

All Superinterfaces:
  `IRemoteServiceRegistration`

All Known Implementing Classes:
  `RSARemoteServiceContainerAdapter.RSARemoteServiceRegistration`

public interface IExtendedRemoteServiceRegistration extends IRemoteServiceRegistration

Since:
  8.3

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getExtraProperties()`

### Methods inherited from interface org.eclipse.ecf.remoteservice.IRemoteServiceRegistration

`getClassLoader, getContainerID, getID, getProperty, getPropertyKeys, getReference, setProperties, unregister`

## Method Details

### getExtraProperties

Map<String,Object> getExtraProperties()

Returns:
  A `Dictionary` of properties not intended to be used for service advertisement.